std::recursive_mutex(3)

NAME
std::recursive_mutex - The standard recursive mutex type.

SYNOPSIS

Inherits std::__recursive_mutex_base.

  Public Types
typedef __native_type * native_handle_type

  Public Member Functions
recursive_mutex (const recursive_mutex &)=delete
void lock ()
native_handle_type native_handle () noexcept
recursive_mutex & operator= (const recursive_mutex &)=delete
bool try_lock () noexcept
void unlock ()

Detailed Description

The standard recursive mutex type.

Definition at line 92 of file mutex.

Author

Generated automatically by Doxygen for libstdc++ from the source code.